Functions
i2c_example_cargo.h File Reference
`#include <stdbool.h>`
`#include <stdint.h>`
`#include "example_cargo.h"`

Go to the source code of this file.

## Functions
cargo_config_t * | i2c_example_cargo_get_config (void)
| Get pointer to internal cargo config struct. More...
bool | i2c_example_cargo_command (uint32_t command)
| Send command to be executed to cargo i2c app. More...
uint32_t | i2c_example_cargo_get_status (void)
| Get cargo example app status. More...
uint32_t | i2c_example_cargo_get_measure_counter (void)
| Get the count of number of measurements performed. More...
uint32_t | i2c_example_cargo_get_actual_presence_update_rate (void)
| Get the estimated presence update rate of the. More...
void | i2c_example_cargo_copy_utilization_result_fields (cargo_result_t *dst_result)
| Copy utilization example app cargo result. More...
void | i2c_example_cargo_copy_presence_burst_result_fields (cargo_result_t *dst_result)
| Copy presence example app cargo result. More...
int16_t | i2c_example_cargo_get_temperature (void)
| Get most recently measured temperature. More...

## Function Documentation

## ◆ i2c_example_cargo_command()

bool i2c_example_cargo_command | ( | uint32_t | command | ) |

Send command to be executed to cargo i2c app.

Parameters

  [in] | command | The command to be executed

Returns
  true if successful

Definition at line 219 of file i2c_example_cargo.c.

## ◆ i2c_example_cargo_copy_presence_burst_result_fields()

void i2c_example_cargo_copy_presence_burst_result_fields | ( | cargo_result_t * | dst_result | ) |

Copy presence example app cargo result.

Returns
  result from example app cargo

Definition at line 289 of file i2c_example_cargo.c.

## ◆ i2c_example_cargo_copy_utilization_result_fields()

void i2c_example_cargo_copy_utilization_result_fields | ( | cargo_result_t * | dst_result | ) |

Copy utilization example app cargo result.

Returns
  result from example app cargo

Definition at line 275 of file i2c_example_cargo.c.

## ◆ i2c_example_cargo_get_actual_presence_update_rate()

uint32_t i2c_example_cargo_get_actual_presence_update_rate | ( | void |  | ) |

Get the estimated presence update rate of the.

The application measures time between presence updates with ms accuraccy.

Returns
  The estimated update rate in mHz

Definition at line 264 of file i2c_example_cargo.c.

## ◆ i2c_example_cargo_get_config()

cargo_config_t* i2c_example_cargo_get_config | ( | void |  | ) |

Get pointer to internal cargo config struct.

Returns
  cargo configuration handle

Definition at line 214 of file i2c_example_cargo.c.

## ◆ i2c_example_cargo_get_measure_counter()

uint32_t i2c_example_cargo_get_measure_counter | ( | void |  | ) |

Get the count of number of measurements performed.

The counter will be increased every time the Cargo example app completes a measurement

Returns
  measure counter from application

Definition at line 253 of file i2c_example_cargo.c.

## ◆ i2c_example_cargo_get_status()

uint32_t i2c_example_cargo_get_status | ( | void |  | ) |

Get cargo example app status.

Returns
  status from cargo example app

Definition at line 241 of file i2c_example_cargo.c.

## ◆ i2c_example_cargo_get_temperature()

int16_t i2c_example_cargo_get_temperature | ( | void |  | ) |

Get most recently measured temperature.

Returns
  temperature as defined in acc_processing_result_t

Definition at line 303 of file i2c_example_cargo.c.